%define name	gneutronica
%define version 0.33
%define release %mkrel 5

Name: 	 	%{name}
Summary: 	A GNOME-based MIDI drum sequencer
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/gneutronica/%{name}-%{version}.tar.bz2
URL:		http://sourceforge.net/projects/gneutronica/

License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgnomecanvas2-devel ImageMagick libalsa-devel

%description
This program is MIDI drum machine software for linux with a gnome based user
interface to allow easy creation and play back of drum tracks to external MIDI
devices.

%prep
%setup -q
perl -p -i -e "s|gcc|gcc $RPM_OPT_FLAGS||g" Makefile

%build
make
					
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir
cp %name %buildroot/%_bindir
mkdir -p %buildroot/%_datadir/%name
cp -r drumkits %buildroot/%_datadir/%name
mkdir -p %buildroot/%_mandir/man1
bzip2 < documentation/%name.1 > %buildroot/%_mandir/man1/%name.1.bz2
mkdir -p %buildroot/%_datadir/pixmaps
cp icons/*.png %buildroot/%_datadir/pixmaps

#menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gneutronica
Comment=MIDI drum sequencer
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Midi;
Encoding=UTF-8
EOF


#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/gneutronica_icon.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/gneutronica_icon.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/gneutronica_icon.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%doc BUGS CHANGES documentation/*.png documentation/*.html
%{_bindir}/%name
%{_mandir}/man1/*
%{_datadir}/pixmaps/*
%{_datadir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.33-5mdv2009.0
+ Revision: 246340
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.33-3mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import gneutronica


* Tue Sep 12 2006 Emmanuel Andry <eandry@mandriva.org> 0.33-3mdv2007.0
- add buildrequires libalsa-devel

* Sun Sep 10 2006 Emmanuel Andry <eandry@mandriva.org> 0.33-2mdv2007.0
- really add XDG Menu

* Tue Jul 04 2006 Jerome Soyer <saispo@mandriva.org> 0.33-1mdv2007.0
- New release 0.33
- XDG Menu

* Tue May 23 2006 Emmanuel Andry <eandry@mandriva.org> 0.31-1mdk
- New release 0.31
- mkrel

* Thu May 04 2006 Emmanuel Andry <eandry@free.fr> 0.30-1mdk
- New release 0.30

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 0.28-1mdk
- New release 0.28

* Fri Nov 04 2005 Austin Acton <austin@mandriva.org> 0.26-1mdk
- New release 0.26

* Thu Jul 28 2005 Austin Acton <austin@mandriva.org> 0.25-1mdk
- New release 0.25

* Mon Jul 11 2005 Austin Acton <austin@mandriva.org> 0.23-1mdk
- initial package
